import _Cart from './_Cart.js';
import SingleVisionListItem from './SingleVisionListItem.js';

var SingleVisionBrowser = function(){
return {
view: function(){
var lenses = [];
return m('.single-vision-listing', [
      m('table.table.table-striped', [
        m('thead', [
          m('tr', [
            m('th', 'SPH'),
            m('th', 'CYL'),
            m('th', 'Material'),
            m('th', 'AR'),
            m('th', 'Photochromatic'),
            m('th', 'Price'),
            m('th', 'Quantity')
            ])
          ]),
        m('tbody', [
          lenses.map(function(lens){
            return m(SingleVisionListItem, {lens: lens});
            }),
          m('tr', [
            m('td.text-center', {colspan: 7}, [
              m('button.btn.btn-primary.btn-lg.btn-block', [
                m('i.icon.icon-plus')
                ])
              ])
            ])
          ])
        ])
      ]);
}
};
}

export default SingleVisionBrowser;